#version 330 core
in vec2 uv;
in vec3 normal;
in vec3 lightDir;

uniform sampler2D colorTexture;

uniform float size;

out vec4 color;

void main()
{
    vec2 newUV;
    newUV.x = uv.x*size*2;
    newUV.y = uv.y*size*2;
    float cos = clamp(dot(normal,lightDir),0.2,1);
    //Intensity of light is 1...
    color = vec4(vec3(texture2D(colorTexture, newUV)*cos),1);
}
