#version 330 core

in vec2 uv;
uniform sampler2D colorTexture;
out vec4 color;

uniform float distance;

void main()
{
    if (distance < 1){
        color = vec4(1-distance)+texture2D(colorTexture, uv);
    } else {
        color = texture2D(colorTexture, uv);
    }
}
